import { ComponentFixture, TestBed } from '@angular/core/testing';

import { PoolDetailsHealthmonitorsComponent } from './pool-details-healthmonitors.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';

describe('PoolDetailsHealthmonitorsComponent', () => {
  let component: PoolDetailsHealthmonitorsComponent;
  let fixture: ComponentFixture<PoolDetailsHealthmonitorsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PoolDetailsHealthmonitorsComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PoolDetailsHealthmonitorsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
